Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.jiggle
Class JiggleNode

    java.lang.Object
      uchicago.src.sim.network.DefaultNode
          uchicago.src.sim.network.DefaultDrawableNode
              uchicago.src.repastdemos.jiggle.JiggleNode

All Implemented Interfaces:
  Drawable2DGridNode, DrawableNonGridNode, Moveable, NonGridDrawable, Node

    public class JiggleNode

extends DefaultDrawableNode

The agent class for this model. This agent does not have any particularly interesting behavoir. It just jiggles (see below). This JiggleNode extends DefaultDrawable meaning that it is both a DefaultNode and can be Drawable in a Network2DDisplay.

Nested Class Summary

Nested classes/interfaces inherited from class uchicago.src.sim.network.DefaultNode
`DefaultNode.OrderedHashMap`

Field Summary

Fields inherited from class uchicago.src.sim.network.DefaultDrawableNode
`item`

Fields inherited from class uchicago.src.sim.network.DefaultNode
`inEdges, inMap, label, outEdges, outMap`

Constructor Summary
`JiggleNode()` No argument constructor so that this JiggleNode can be loaded from a file.
`JiggleNode(int xSize, int ySize, NetworkDrawable drawable)` This is used when we create the JiggleNodes in the model rather than from a file.

Method Summary
`void` | `init(int xSize, int ySize, NetworkDrawable drawable)` This initializes the JiggleNode when we have create it from a file using the no arg constructor, but still need to initialize it.
`void` | `jiggle()` This defines the actual behavoir of the JiggleNode, the Jiggle.

Methods inherited from class uchicago.src.sim.network.DefaultDrawableNode
`allowResizing, calcSize, contains, draw, getBorderColor, getBorderWidth, getColor, getFont, getHeight, getLabelColor, getNode, getWidth, getX, getY, setBorderColor, setBorderWidth, setColor, setDrawable, setDrawableNoCopy, setFont, setHeight, setLabelColor, setNodeLabel, setWidth, setX, setX, setY, setY`

Methods inherited from class uchicago.src.sim.network.DefaultNode
`addInEdge, addInEdges, addOutEdge, addOutEdges, clearInEdges, clearOutEdges, getEdgesFrom, getEdgesTo, getFromNodes, getId, getInDegree, getInEdges, getInNodes, getNodeLabel, getNumInEdges, getNumOutEdges, getOutDegree, getOutEdges, getOutNodes, getRandomFromNode, getRandomNodeIn, getRandomNodeOut, getRandomToNode, getToNodes, hasEdgeFrom, hasEdgeTo, hasEdgeToOrFrom, makeRandomInEdge, makeRandomOutEdge, removeEdgesFrom, removeEdgesTo, removeInEdge, removeOutEdge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.gui.DrawableNonGridNode
`getOutEdges`

Methods inherited from interface uchicago.src.sim.gui.Drawable2DGridNode
`getOutEdges`

Constructor Detail

### JiggleNode

    public JiggleNode()

  No argument constructor so that this JiggleNode can be loaded from a file. Because of this we also need the init statement.

### JiggleNode

    public JiggleNode(int xSize,
                      int ySize,
                      NetworkDrawable drawable)

  This is used when we create the JiggleNodes in the model rather than from a file.

Method Detail

### init

    public void init(int xSize,
                     int ySize,
                     NetworkDrawable drawable)

  This initializes the JiggleNode when we have create it from a file using the no arg constructor, but still need to initialize it. This sort of initialization would normally be done in the cosntructor but sometimes it can be.

### jiggle

    public void jiggle()

  This defines the actual behavoir of the JiggleNode, the Jiggle.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD